#include <iostream> 
#include <string> 
#include <vector> 
#include <algorithm> 
using namespace std;

int CMP(string str1, string str2);


int main()
{
	
	unsigned long long A, B, C;
	cin >> A >> B >> C;
	string str0 = to_string(A);
	string str1 = to_string(B);
	string str2 = to_string(C);
	vector<string> str;
	str.push_back(str0);
	str.push_back(str1);
	str.push_back(str2);
	sort(str.begin(), str.end(), CMP);

	for (int i = 0; i <3; i++)
		cout << str[i];
	return 0;
}
int CMP(string str1, string str2)
{
	string C1 = str1.append(str2);
	string C2 = str2.append(str1);
	int CMP1 = C1.compare(C2) > 0 ? 1 : 0;
	return CMP1;
}